Subject: Re: [PATCH 2/2] talitos: Freescale integrated security engine (SEC) driver

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 31 May 2008 00:13:52 +0400

On Fri, May 30, 2008 at 02:41:17PM -0500, Scott Wood ([email-masked]) wrote:
> >>Don't you want to protect against simultaneous access to register space
> >>from different CPUs? Or it is single processor board only?
> >
> >Doesn't linux mask the IRQ line for the interrupt currently being
> >serviced, and on all processors?
> 
> Yes.  Could there be interference from non-interrupt driver code on 
> another cpu (or interrupted code), though?

Yes, that register space can be assigned from non-interrupt path on
different cpu. I saw spin_lock_irqsave() is used in some other places,
but not in interrupt handler itself.

-- 
	Evgeniy Polyakov